MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002073VCMIMechanics - Adventure Mappublic2015-02-14 03:082016-09-01 04:10
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.99 
Summary0002073: Set hero to Sleep without town and end turn cause crash
DescriptionSo it's crash if you have no "active" hero and no town.
Steps To Reproduce  - Run game on map where you don't have a town.
  - Now set all your heroes to "Sleep" mode.
  - End turn.
Additional InformationCPlayerInterface::acceptTurn CPlayerInterface.cpp 2278
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006600)
SXX (administrator)
2016-09-01 04:10

Fixed
https://github.com/vcmi/vcmi/commit/076924166a443ae747784df09b6c5cae822e61bb [^]

- Issue History
Date Modified Username Field Change
2015-02-14 03:08 SXX New Issue
2016-08-28 07:18 SXX Assigned To => SXX
2016-08-28 07:18 SXX Status new => assigned
2016-09-01 04:10 SXX Note Added: 0006600
2016-09-01 04:10 SXX Status assigned => resolved
2016-09-01 04:10 SXX Fixed in Version => 0.99
2016-09-01 04:10 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean